react-select versions and peer dependencies

The table below has a list of all versions of react-select compatible peers dependencies.

Version Peer Dependency Versions
0.4.6 - 0.4.9
  • react @ >=0.12.0
0.5.0 - 0.6.3
  • react @ >=0.13.3
0.6.4 - 0.6.7
  • react @ >=0.13.3 || ^0.14.0-beta3
0.6.8 - 0.6.12
  • react @ >=0.13.3 || ^0.14.0-rc1
0.7.0 - 0.9.0
  • react @ ^0.14.0
  • react-dom @ ^0.14.0
0.9.1
  • react @ ^0.14.0
  • react-dom @ ^0.14.0
1.0.0 - 1.3.0
  • react @ ^0.14.9 || ^15.3.0 || ^16.0.0-rc || ^16.0
  • react-dom @ ^0.14.9 || ^15.3.0 || ^16.0.0-rc || ^16.0
2.0.0 - 2.4.4
  • react @ ^15.3.0 || ^16.0.0
  • react-dom @ ^15.3.0 || ^16.0.0
3.0.0 - 3.1.1
  • react @ ^16.8.0
  • react-dom @ ^16.8.0
3.2.0
  • react @ ^16.8.0
  • react-dom @ ^16.8.0
4.0.0 - 4.3.1
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0